@echo off
rem Batch file Version: R6.0


set THISHWIDA=03CE
set THISHWIDB=03D1
set THISHWIDC=0417
set THISHWIDD=041A

set BIOSREV=6S61
set BBLKREV=6S57

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK
check /r=%THISHWIDA% /i=MID1_1U.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT1
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT1
check /r=%THISHWIDB% /i=MID1_2U.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT2
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT2
check /r=%THISHWIDC% /i=MID2_1U.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT3
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT3
check /r=%THISHWIDD% /i=MID2_2U.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH

rem check old BIOS
if "%old%" == "2S25" goto CMOS
if "%old%" == "4S32" goto CMOS
if "%old%" == "5S36" goto CMOS32
if "%old%" == "5S39" goto CMOS
if "%old%" == "5S42" goto CMOS39
if "%old%" == "5S46" goto CMOS39
if "%old%" == "5S47" goto CMOS39
if "%old%" == "5S49" goto CMOS39
if "%old%" == "5S50" goto CMOS39
if "%old%" == "5S51" goto CMOS39
if "%old%" == "5S52" goto CMOS39
rem if "%old%" == "5S53" goto CMOS
rem if "%old%" == "5S55" goto CMOS53
rem if "%old%" == "5S56" goto CMOS53
rem if "%old%" == "6S57" goto CMOS53
rem if "%old%" == "6S58" goto CMOS53
rem if "%old%" == "6S60" goto CMOS53
rem if "%old%" == "6S61" goto CMOS53
goto FLHNOW

:CMOS32
set old=4S32
goto CMOS

:CMOS39
set old=5S39
goto CMOS

rem :CMOS53
rem set old=5S53
rem goto CMOS

:CMOS
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR

:FLHNOW
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool ...

phlash16 /mode=3 bios.wph

goto END

:BBFLASH

rem check old BIOS
if "%old%" == "2S25" goto CMOSBB
if "%old%" == "4S32" goto CMOSBB
if "%old%" == "5S36" goto CMOSBB32
if "%old%" == "5S39" goto CMOSBB
if "%old%" == "5S42" goto CMOSBB39
if "%old%" == "5S46" goto CMOSBB39
if "%old%" == "5S47" goto CMOSBB39
if "%old%" == "5S49" goto CMOSBB39
if "%old%" == "5S50" goto CMOSBB39
if "%old%" == "5S51" goto CMOSBB39
if "%old%" == "5S52" goto CMOSBB39
rem if "%old%" == "5S53" goto CMOSBB
rem if "%old%" == "5S55" goto CMOSBB53
rem if "%old%" == "5S56" goto CMOSBB53
rem if "%old%" == "6S57" goto CMOSBB53
rem if "%old%" == "6S58" goto CMOSBB53
rem if "%old%" == "6S60" goto CMOSBB53
rem if "%old%" == "6S61" goto CMOS53
goto FLHNOW

:CMOSBB32
set old=4S32
goto CMOSBB

:CMOSBB39
set old=5S39
goto CMOSBB

rem :CMOSBB53
rem set old=5S53
rem goto CMOSBB

:CMOSBB
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR

:BBFLHNOW
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool(overwrite BootBlock) ...

phlash16 /BBL /mode=3 bios.wph

goto END

:CHGERR
@echo cmoschg Error!
goto END

:END
